Bug 1006857 - Domain EAR content feature to disable multiple copy
Domain EAR content feature to disable multiple copy
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Stansberry
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 07:57 EDT by kashi
Modified: 2014-09-01 07:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-16 09:18:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kashi 2013-09-11 07:57:56 EDT
Description of problem:
To avoid muliple copies of EAR deployment in domain mode.

Version-Release number of selected component (if applicable):
6.1.0

How reproducible:
Deploy the EAR/WAR file for multipel times.

Steps to Reproduce:
1. deploy ear file for 5 times
2. it will create data/content folder with 5 copies of ear file
3.

Actual results:
creates five copy of ear file

Expected results:
Wanted to have only one copy of ear file

Additional info:
Comment 4 John Doyle 2013-09-23 13:21:48 EDT
Is this an enhancement request or a bug report?  Outside of the filesystem folders, what's your expectation and what is diverging from it.
Comment 5 Brian Stansberry 2013-09-25 14:16:14 EDT
Please be very specific about what filesystem locations on what processes and the exact operations used to deploy. There are tests in the testsuite that check that we delete unreferenced deployment content, so if there's a problem the details are important.
Comment 6 kashi 2013-09-25 15:47:18 EDT
Hi Team,
       I mean here is if i deploy/redploy application 10 times it gets versioning for 10 times which i dont need. I will need max two backup of EAR file which gets in domain/tmp.
so how to control it to avoid unncessary backups.
Comment 8 Petr Kremensky 2014-07-16 09:18:39 EDT
This issue is reported against a version which is no longer maintained, which means that it will not receive a fix. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Enterprise Application Platform please feel free to open a bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 kashi 2014-09-01 07:08:11 EDT
Hi,
   Please close this BZ as now i am not able to produce it.

Note You need to log in before you can comment on or make changes to this bug.